---
title: The Web Open Font Format (WOFF)
slug: Web/Guide/WOFF
tags:
  - Fonts
  - NeedsMobileBrowserCompatibility
  - WOFF
  - WOFF2
---
<p><span class="seoSummary"><strong>WOFF</strong> (the <strong>Web Open Font Format</strong>) is a web font format developed by Mozilla in concert with Type Supply, LettError, and other organizations. It </span>uses a compressed version of the same table-based <code>sfnt</code> structure used by TrueType, OpenType, and Open Font Format, but <span class="seoSummary">adds metadata and private-use data structures, including predefined fields allowing foundries and vendors to provide license information if desired.</span></p>

<p>There are three main benefits to using WOFF:</p>

<ol>
 <li>The font data is compressed, so sites using WOFF will use less bandwidth and will load faster than if they used equivalent uncompressed TrueType or OpenType files.</li>
 <li>Many font vendors that are unwilling to license their TrueType or OpenType format fonts for use on the web will license WOFF format fonts. This improves availability of fonts to site designers.</li>
 <li>Both proprietary and free software browser vendors like the WOFF format, so it has the potential of becoming a truly universal, interoperable font format for the web, unlike other current font formats.</li>
</ol>

<p>There are two versions of WOFF; WOFF and WOFF2, they mostly differ in regard to the compression algorithm used. In {{cssxref("@font-face")}} they are identified by the <code>'woff'</code> and <code>'woff2'</code> format descriptor respectively.</p>

<h2 id="Using_WOFF">Using WOFF</h2>

<p>You can use the {{cssxref("@font-face")}} CSS property to use WOFF fonts for text in web content. It works exactly like OpenType and TrueType format fonts do, except it will likely let your content download more efficiently due to the addition of compression.</p>

<h2 id="Tools_for_working_with_WOFF_fonts">Tools for working with WOFF fonts</h2>

<ul>
 <li><a href="https://github.com/odemiral/woff2sfnt-sfnt2woff">Tools for working with WOFF</a> fonts are available. <code>sfnt2woff</code> and <code>woff2sfnt</code> convert between WOFF and OpenType.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WOFF2.0', '', '')}}</td>
   <td>{{Spec2('WOFF2.0')}}</td>
   <td>New compression algorithm</td>
  </tr>
  <tr>
   <td>{{SpecName('WOFF1.0', '', '')}}</td>
   <td>{{Spec2('WOFF1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.font-face")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("@font-face")}}</li>
</ul>
